> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch review details

> This endpoint allows you to retrieve the details of a movie or TV show review.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /review/{{review_id}}
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /review/{{review_id}}:
    parameters:
      - name: review_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Reviews
      summary: Fetch review details
      description: >-
        This endpoint allows you to retrieve the details of a movie or TV show
        review.
      operationId: fetchReviewDetails
      responses:
        '200':
          description: fetch review details
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=28249
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 27 Dec 2024 22:27:38 GMT
            ETag:
              schema:
                type: string
                example: W/"7742edc63786081070588f726aa753e1"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 156336391961f724345f6534c674b6ea.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: MfanT-cTnW9MNpun3hIyzbNGF___d7yWuVJZdQ2N17IZfFRLe36u0A==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS, STORE
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '28249'
            x-memc-key:
              schema:
                type: string
                example: b0ace48f05843a29daffa00a00f563bb
          content:
            application/json:
              schema:
                type: object
                properties:
                  author:
                    type: string
                    example: Andres Gomez
                  author_details:
                    type: object
                    properties:
                      avatar_path:
                        nullable: true
                        example: null
                      name:
                        type: string
                        example: Andres Gomez
                      rating:
                        type: number
                        example: 7
                      username:
                        type: string
                        example: tanty
                  content:
                    type: string
                    example: >-
                      Interesting film with an exceptional cast, fantastic
                      performances and characterizations. The story, though, is
                      a bit difficult to follow and, in the end, seems to not
                      have a real point.
                  created_at:
                    type: string
                    example: '2013-05-13T15:40:41.935Z'
                  id:
                    type: string
                    example: 51910979760ee320eb020fc2
                  iso_639_1:
                    type: string
                    example: en
                  media_id:
                    type: number
                    example: 83542
                  media_title:
                    type: string
                    example: Cloud Atlas
                  media_type:
                    type: string
                    example: movie
                  updated_at:
                    type: string
                    example: '2021-06-23T15:57:21.374Z'
                  url:
                    type: string
                    example: https://www.themoviedb.org/review/51910979760ee320eb020fc2
              examples:
                fetch review details:
                  value:
                    author: Andres Gomez
                    author_details:
                      avatar_path: null
                      name: Andres Gomez
                      rating: 7
                      username: tanty
                    content: >-
                      Interesting film with an exceptional cast, fantastic
                      performances and characterizations. The story, though, is
                      a bit difficult to follow and, in the end, seems to not
                      have a real point.
                    created_at: '2013-05-13T15:40:41.935Z'
                    id: 51910979760ee320eb020fc2
                    iso_639_1: en
                    media_id: 83542
                    media_title: Cloud Atlas
                    media_type: movie
                    updated_at: '2021-06-23T15:57:21.374Z'
                    url: https://www.themoviedb.org/review/51910979760ee320eb020fc2
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````